module Paybase
  class Client
    module Transactions

      def transactions(options = {})
        get("/txs", options)
      end

      def internal(options)
        post("/txs/internal", options)
      end

      def inbound(options)
        post("/txs/inbound", options)
      end

      def outbound(options)
        post("/txs/outbound", options)
      end

      def transaction(id)
        get("/tx/#{id}")
      end

    end
  end
end
