module Paybase
  class Client
    module Banks

      def banks(options = {})
        get("/bank-accounts", options)
      end

      def create_bank(options)
        post("/bank-accounts", options)
      end

      def bank(id)
        get("/bank-account/#{id}")
      end

      def update_bank(id, options)
        patch("/bank-account/#{id}", options)
      end

    end
  end
end
