module Paybase
  class Client
    module Customers

      def customers(options = {})
        get("/customers", options)
      end

      def create_individual(options)
        post("/customers/individual", options)
      end

      def customer(id)
        get("/customers/#{id}")
      end

      def update_customer(id, options)
        patch("/customers/#{id}", options)
      end

    end
  end
end
